import pygame
from OpenGL import GL

import screen
import ship

key_mapping = {
	pygame.K_LEFT: (0, 0),
	pygame.K_DOWN: (0, 1),
	pygame.K_RIGHT: (0, 2),
	pygame.K_UP: (0, 3),
	}

class Level (screen.Screen):
	def __init__(self):
		super(Level,self).__init__()
		self.ship = ship.Ship()
		self.ships = [self.ship]
	
	def draw(self):
		GL.glPushMatrix()
		GL.glScalef(2.0/800,2.0/600,1)
		GL.glScalef(32,32,1)
		self.ship.draw()
		GL.glPopMatrix()
	
	def do_frame(self, time_passed):
		self.ship.do_frame(time_passed)
	
	def handle_event(self, event):
		#KEYDOWN	unicode, key, mod
		#KEYUP		key, mod
		if event.type == pygame.KEYDOWN or event.type == pygame.KEYUP:
			if key_mapping.has_key(event.key):
				mapping = key_mapping[event.key]
				self.ships[mapping[0]].keys_pressed[mapping[1]] = (event.type == pygame.KEYDOWN)
		